## org.hibernate.hql.internal.classic
Class PreprocessingParser

    java.lang.Object
      org.hibernate.hql.internal.classic.PreprocessingParser

All Implemented Interfaces:
  Parser

    public class PreprocessingParser

extends Object
implements Parser

Constructor Summary
`PreprocessingParser(Map replacements)`

Method Summary
`void` `end(QueryTranslatorImpl q)`
`void` `start(QueryTranslatorImpl q)`
`void` `token(String token, QueryTranslatorImpl q)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreprocessingParser

    public PreprocessingParser(Map replacements)

Method Detail

### token

    public void token(String token,
                      QueryTranslatorImpl q)
               throws QueryException

  Specified by:
    `token` in interface `Parser`
  Throws:
    `QueryException`

### start

    public void start(QueryTranslatorImpl q)
               throws QueryException

  Specified by:
    `start` in interface `Parser`
  Throws:
    `QueryException`

### end

    public void end(QueryTranslatorImpl q)
             throws QueryException

  Specified by:
    `end` in interface `Parser`
  Throws:
    `QueryException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.